MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023106Open CASCADE[OCCT] OCCT:Meshpublic2012-04-12 19:222014-11-11 13:03
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0023106: BRepMesh_IncrementalMesh returns wrong status
DescriptionBRepMesh_IncrementalMesh algorithm returns wrong status (== 0 - No Error) in spite of internal exception raised by the algorithm.
Steps To ReproduceDraw reproducer.
> pload ALL
> restore face_0triangles.brep s
> checkshape s
> incmesh s 0.1 ## <<== exception
# Meshing statuses: NoError
# Nevertheless the algorithm raises Standard_OutOfRange exception.
> trinfo s

This shape contains 0 triangles.
                    0 nodes.
Maximal deflection 0
Additional information
and documentation updates
The following changes are made in context of this issue:

- storing of intermediate structures to the shapes in BRepMesh_FastDiscret and their restoring in BRepMesh_FastDiscretFace has been eliminated. Common data structures are moved to BRepMesh_FaceAttribute;

- procedures that fill data structures using existing triangulation as well as a newly created one are unified. Corresponding tools are isolated within BRepMesh_EdgeTessellationExtractor and BRepMesh_EdgeTessellator classes;

- code duplications are removed from BRepMesh_FastDiscret and BRepMesh_FastDiscretFace;

- mutexes are removed from BRepMesh_FastDiscret and BRepMesh_FastDiscretFace due to division of data structures on shared and local ones;

- resulting triangulation is stored within a single place in BRepMesh_IncrementalMesh class;

- BRepMesh_Delaun: redundant flag isPositive is removed due to the face orientation is always forward;
TagsNo tags attached.
Test case numberbugs mesh(016) bug23106
Attached Files? file icon face_0triangles.brep (370,328 bytes) 2012-04-12 19:22
png file icon test bugs vis buc60858.png (81,661 bytes) 2014-09-19 17:52
png file icon test omf advanced_meshfuse ZD4.png (47,837 bytes) 2014-09-19 17:52
png file icon test_C9_face_63.png (44,789 bytes) 2014-09-19 17:53
png file icon test_E9_face_28.png (72,261 bytes) 2014-09-19 17:53
png file icon test_V4_common_case_of_invalid_geometry_Face_19.png (48,442 bytes) 2014-09-19 17:53

- Relationships
parent of 0025045closedabv Community STEP Import fails to find all surfaces 
parent of 0025154closedbugmaster Open CASCADE Collections in BRepMesh package are named in non-conformant manner 
parent of 0025249feedbackoan Open CASCADE Some problematic cases from mesh tests have been uncovered during refactoring of BRepMesh 
parent of 0025310closedbugmaster Open CASCADE Keeping temporary data structures in BRepMesh_FaceAttribute leads to out-of-memory exception 
related to 0025050closedbugmaster Open CASCADE Shape can not be stored to VRML format 
related to 0025320closedoan Open CASCADE Regression on perf bop buildfaces test case on Windows platform 
related to 0025157closedbugmaster Community Face missing depending the angle of revolution 
related to 0025412closedbugmaster Open CASCADE BRepMesh_FastDiscretFace::tryToInsertAnalyticVertex() - fix invalid comparison 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0029778)
oan (developer)
2014-06-16 11:18
edited on: 2014-06-16 11:19

DC,

I propose the following changes to be implemented within current issue:

1) remove .cdl declaration for BRepMesh_FaceAttribute and start using exported header file;
2) in BRepMesh_FaceAttribute introduce reference to BRepMesh_FastDiscret::myFacestate and use it in thread safe mode for setting necessary status in BRepMesh_FastDiscretFace;
3) store myVertices, myInternaledges, myNbLocat, myLocation3d, myLocation2d, myVemap and myStructure directly in BRepMesh_FaceAttribute of corresponding face.
4) remove methods from BRepMesh_FastDiscretFace that perform filling of the structures mentioned above twice and use ones stored in BRepMesh_FaceAttribute.

I suppose that these actions will help to speed up BRepMesh a little and will give further possibility to introduce parallel filling of structures in BRepMesh_FastDiscret.

(0030759)
git (administrator)
2014-08-14 21:05

Branch CR23106_2 has been created by oan.

SHA-1: 9d3d8d77a5286e79a228e1afe4a9d1685a970fa3


This branch includes the following new commits:

       new 9d3d8d7 0023106: BRepMesh_IncrementalMesh returns wrong status


Detailed log of new commits:

commit 9d3d8d77a5286e79a228e1afe4a9d1685a970fa3
Author: oan
Date: Thu Aug 14 21:05:36 2014 +0400

    0023106: BRepMesh_IncrementalMesh returns wrong status
(0030760)
oan (developer)
2014-08-14 21:07

Branch CR23106_2 is ready to be reviewed.
(0030790)
abv (manager)
2014-08-15 16:31

Reviewed, please test.

Oleg, please prepare fix for 0025154 on top of this change, and in that fix, separate BRepMesh_Edge and BRepMesh_OrientedEdge each to its own header file
(0030798)
git (administrator)
2014-08-15 17:43

Branch CR23106_2 has been updated forcibly by apv.

SHA-1: 0e871b2b890f89efc19a33f641ceb378afaeee02
(0030831)
oan (developer)
2014-08-18 12:33

Branch CR23106 has been created in products repository.
(0030873)
apv (tester)
2014-08-19 12:13
edited on: 2014-08-19 12:15

Dear BugMaster,

Branch CR23106_2 and products from CR23106 were compiled on Linux and Windows platforms.

There are following compilation error on Linux:
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR23106_2/job/mnt-CR23106_2-CR23106_build_occt_linux/1/parsed_console/ [^]

In file included from ../../../../src/BRepMesh/BRepMesh_FastDiscret.cxx:20:
../../../../inc/BRepMesh_FastDiscretFace.hxx: In member function ‘void BRepMesh_FastDiscretFace::tryToInsertAnalyticVertex(const gp_Pnt2d&, const AnalyticSurface&, BRepMeshCol::ListOfVertex&)’:
../../../../inc/BRepMesh_FastDiscretFace.hxx:122: error: invalid use of incomplete type ‘struct BRepMesh_Classifier’
../../../../inc/BRepMesh_Collections.hxx:55: error: forward declaration of ‘struct BRepMesh_Classifier’
../../../../inc/BRepMesh_FastDiscretFace.hxx:126: error: ‘ElSLib’ has not been declared

(0031212)
git (administrator)
2014-09-01 11:55

Branch CR23106_3 has been created by oan.

SHA-1: cbc49d2d4172d13da3bd0bcf6cd1c8b951402bea


Detailed log of new commits:

Author: oan
Date: Mon Sep 1 11:52:20 2014 +0400

    Fix compilation errors on Linux platform

Author: oan
Date: Thu Aug 14 21:05:36 2014 +0400

    0023106: BRepMesh_IncrementalMesh returns wrong status
(0031213)
oan (developer)
2014-09-01 11:56

Dear Bugmaster,

necessary changes have been applied and pushed to branch CR23106_3.
Please test.
(0031256)
mkv (tester)
2014-09-02 09:38

Dear BugMaster,
Branch CR23106_3 from occt git-repository (and master from products git-repository) was compiled on Linux platform.
There is following extraction error:

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23106_3/job/mnt-CR23106_3-master_prepare_occt_products_linux/1/parsed_console/ [^]
=====> QMesh:xcpp.fill

Info : Direct use : /misc/dn63/LocalWOK/wok_entities/LOC/dev/CR23106-3-master-occt/src/BRepMesh/BRepMesh.cdl
Info : Used : /misc/dn63/LocalWOK/wok_entities/LOC/dev/CR23106-3-master-occt/src/Plugin/Plugin.cdl
Error : No file BRepMesh_PDiscretRoot.cdl in BRepMesh
Error : Failed during execution
(0031304)
mkv (tester)
2014-09-03 13:07

Dear BugMaster,
Branch CR23106_3 from occt git-repository and CR23106 from products git-repository was compiled on Linux and Windows platforms and tested.
SHA-1: cbc49d2d4172d13da3bd0bcf6cd1c8b951402bea
SHA-1: 713d1fd77cae9379ac21d2b68d17f1392b5e757d

Number of compiler warnings:

occt component :
Linux: 24 (15 on master)
Windows: 2 (2 on master)

There are new additional compilation warnings on Linux platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR23106_3-CR23106_build_occt_linux/1/warnings16Result/package.-1803441005/ [^]
BRepMesh_FastDiscretFace.cxx:231, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value ‘GeomAbs_Cone’ not handled in switch
BRepMesh_FastDiscretFace.cxx:231, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value ‘GeomAbs_OffsetSurface’ not handled in switch
BRepMesh_FastDiscretFace.cxx:231, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value ‘GeomAbs_BSplineSurface’ not handled in switch
BRepMesh_FastDiscretFace.cxx:231, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value ‘GeomAbs_SurfaceOfExtrusion’ not handled in switch
BRepMesh_FastDiscretFace.cxx:231, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value ‘GeomAbs_Cylinder’ not handled in switch
BRepMesh_FastDiscretFace.cxx:231, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value ‘GeomAbs_SurfaceOfRevolution’ not handled in switch
BRepMesh_FastDiscretFace.cxx:231, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value ‘GeomAbs_BezierSurface’ not handled in switch
BRepMesh_FastDiscretFace.cxx:231, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value ‘GeomAbs_Plane’ not handled in switch
BRepMesh_FastDiscretFace.cxx:231, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value ‘GeomAbs_OtherSurface’ not handled in switch

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR23106-3-CR23106-occt/Debian60-64/summary.html [^]
http://occt-tests/CR23106-3-CR23106-occt/Windows-32-VC10/summary.html [^]
Improvements:
mesh advanced_incmesh(005) A1
mesh advanced_incmesh_parallel(008) A1
mesh advanced_shading(004) A1
mesh standard_incmesh(002) A4, B9, H5, U6
mesh standard_incmesh_parallel(007) A4, B9, H5, U6
mesh standard_mesh(003) A4, H5, U6, W4
mesh standard_shading(001) A4, B9, H5, U6
Failed:
bugs modalg_2(007) bug397
bugs vis(004) bug349, bug349_1, bug24388_1
mesh standard_incmesh(002) B3, C9, E9, V4
mesh standard_incmesh_parallel(007) B3, C9, E9, V4
mesh standard_mesh(003) B3, C7, C9, E9, V4
mesh standard_shading(001) B3, C9, E9, V4

http://occt-tests/CR23106-3-CR23106-products/Debian60-64/summary.html [^]
http://occt-tests/CR23106-3-CR23106-products/Windows-32-VC10/summary.html [^]
Improvements:
omf advanced_meshfuse(007) ZD8
Failed:
emesh standard(001) C3
omf advanced_meshcommon(005) J8
omf advanced_meshcut(006) H0, K0, K4, L6, M8, M9, N0, N1, N3, N4, Y7, ZB6, ZB7
omf advanced_meshfuse(007) E9, L9, N3, P2, V9, X2, ZC0, ZD4
omf standard_meshcommon(009) V2
omf standard_meshcut(010) J1
omf standard_meshfuse(011) T1
omf standard_meshtuc(012) H1

Testing cases:

Testing on Linux:
occt component :
Total MEMORY difference: 385187420 / 345077900
Total CPU difference: 44335.69999999997 / 44081.66999999999
products component :
Total MEMORY difference: 123496784 / 103968176
Total CPU difference: 15338.669999999987 / 15110.229999999985

Testing on Windows:
occt component :
Total MEMORY difference: 248984920 / 240559324
Total CPU difference: 37814.375 / 34794.171875
products component :
Total MEMORY difference: 67242028 / 66110888
Total CPU difference: 13699.9375 / 10973.78125

There are no differences in images found by testdiff.
(0031388)
git (administrator)
2014-09-04 19:12

Branch CR23106_3 has been updated by oan.

SHA-1: 6aa9aeb48a924e33bc45149c744bf9ebfc20288b


Detailed log of new commits:

Author: oan
Date: Thu Sep 4 19:12:09 2014 +0400

    Fix regressions

Author: oan
Date: Wed Sep 3 16:18:13 2014 +0400

    Squeeze compilation warnings on Linux

(0031402)
git (administrator)
2014-09-05 11:56

Branch CR23106_3 has been updated by oan.

SHA-1: b76e44f1ce14e1ba5d2165f1d51e2e9f4d571275


Detailed log of new commits:

Author: oan
Date: Fri Sep 5 11:56:45 2014 +0400

    Back RemoveFaceAttribute for further reasons;
    
    Fix retrieving of polygon by index

(0031430)
git (administrator)
2014-09-05 18:46

Branch CR23106_3 has been updated by oan.

SHA-1: 786ea25806e69d3d5520f71711a5812a8c8456c4


Detailed log of new commits:

Author: oan
Date: Fri Sep 5 18:45:50 2014 +0400

    Fix applying of location

(0031431)
oan (developer)
2014-09-05 19:10

Dear MKV,

branch CR23106_3 contains necessary changes to fix unexpected regressions.
Please test.
(0031504)
git (administrator)
2014-09-09 11:21

Branch CR23106_3 has been updated forcibly by mkv.

SHA-1: 060133c67be8a946682cfdb30c4995bf91751029
(0031582)
mkv (tester)
2014-09-10 16:21

Dear BugMaster,
Branch CR23106_3 from occt git-repository and CR23106 from products git-repository are compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 060133c67be8a946682cfdb30c4995bf91751029
SHA-1: a8503126a02381b1985735eac26d90ee6e613b3c

Regressions/Differences:
http://occt-tests/CR23106-3-CR23106-occt/Debian60-64/summary.html [^]
http://occt-tests/CR23106-3-CR23106-occt/Windows-32-VC10/summary.html [^]
mesh

http://occt-tests/CR23106-3-CR23106-occt/Windows-32-VC10/bugs/modalg_5/bug24696.html [^]
bugs modalg_5(010) bug24696: FAILED

http://occt-tests/CR23106-3-CR23106-products/Debian60-64/omf/advanced_meshfuse/ZD4.html [^]
http://occt-tests/CR23106-3-CR23106-products/Windows-32-VC10/omf/advanced_meshfuse/ZD4.html [^]
omf advanced_meshfuse(007) ZD4: FAILED

Testing cases:
http://occt-tests/CR23106-3-CR23106-occt/Debian60-64/bugs/mesh/bug23106.html [^]
http://occt-tests/CR23106-3-CR23106-occt/Windows-32-VC10/bugs/mesh/bug23106.html [^]
bugs mesh(016) bug23106: OK

Testing on Linux:
occt component :
Total MEMORY difference: 393287740 / 354326776
Total CPU difference: 46901.59000000009 / 45637.2200000001
products component :
Total MEMORY difference: 122457780 / 104913604
Total CPU difference: 16758.97999999998 / 15902.749999999989

Testing on Windows:
occt component :
Total MEMORY difference: 249643024 / 241300528
Total CPU difference: 49365.921875 / 36415.203125
products component :
Total MEMORY difference: 67756296 / 66446060
Total CPU difference: 14024.8125 / 12369.421875

There are no differences in images found by testdiff.
http://occt-tests/CR23106-3-CR23106-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR23106-3-CR23106-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE mesh advanced_incmesh_parallel A5: A5.png differs
IMAGE mesh advanced_mesh A5: A5.png differs
IMAGE mesh advanced_incmesh A5: A5.png differs
IMAGE bugs moddata_1 bug22757: bug22757_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug344: bug344_Driver1_Viewer1_View1.png differs
IMAGE bugs vis buc60858: buc60858_Driver1_Viewer1_View1.png differs
(0031587)
mkv (tester)
2014-09-10 17:01

Dear BugMaster,
Branch CR23106_3 from occt git-repository and CR23106 from products git-repository are compiled on Linux and Windows platforms and tested on Debug mode.
SHA-1: 060133c67be8a946682cfdb30c4995bf91751029
SHA-1: a8503126a02381b1985735eac26d90ee6e613b3c

Regressions/Differences:
http://occt-tests/CR23106-3-CR23106-occt-deb/Debian60-64/summary.html [^]
http://occt-tests/CR23106-3-CR23106-occt-deb/Windows-32-VC10/summary.html [^]
mesh

http://occt-tests/CR23106-3-CR23106-occt-deb/Windows-32-VC10/summary.html [^]
bugs modalg_5 bug23958, bug24157_9, bug24696, bug24751_1, bug24751_2: FAILED

http://occt-tests/CR23106-3-CR23106-products-deb/Debian60-64/omf/advanced_meshfuse/ZD4.html [^]
http://occt-tests/CR23106-3-CR23106-products-deb/Windows-32-VC10/omf/advanced_meshfuse/ZD4.html [^]
omf advanced_meshfuse(007) ZD4: FAILED

Testing cases:
http://occt-tests/CR23106-3-CR23106-occt-deb/Debian60-64/bugs/mesh/bug23106.html [^]
http://occt-tests/CR23106-3-CR23106-occt-deb/Windows-32-VC10/bugs/mesh/bug23106.html [^]
bugs mesh(016) bug23106: OK

Testing on Linux:
occt component :
Total MEMORY difference: 463329004 / 424793524
Total CPU difference: 157718.86000000007 / 156295.00999999925
products component :
Total MEMORY difference: 146165916 / 127494300
Total CPU difference: 39847.86000000002 / 37180.39999999993

Testing on Windows:
occt component :
Total MEMORY difference: 343417840 / 330777000
Total CPU difference: 127732.296875 / 97148.390625
products component :
Total MEMORY difference: 90304656 / 88270548
Total CPU difference: 28256.390625 / 24548.046875

There are following differences in images found by testdiff.
http://occt-tests/CR23106-3-CR23106-occt-deb/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR23106-3-CR23106-occt-deb/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE mesh advanced_incmesh_parallel A5: A5.png differs
IMAGE mesh advanced_mesh A5: A5.png differs
IMAGE mesh advanced_incmesh A5: A5.png differs
IMAGE bugs moddata_1 bug22757: bug22757_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug344: bug344_Driver1_Viewer1_View1.png differs
IMAGE bugs vis buc60858: buc60858_Driver1_Viewer1_View1.png differs
(0031588)
git (administrator)
2014-09-10 17:01

Branch CR23106_3 has been updated by mkv.

SHA-1: 540ad63108ce2630bc6d1b3288131e2e8ff88a78


Detailed log of new commits:

Author: mkv
Date: Wed Sep 10 16:54:42 2014 +0400

    Test case for issue CR23106

(0031700)
oan (developer)
2014-09-15 13:53

Dear MKV,

There are no connections between BRepMesh, data exchange and BOP packages. So reported regressions within modalg_5 and de grids have different whether.

Please rebase branches in OCCT and Products repositories on current master and run test campaighn again.
(0031724)
git (administrator)
2014-09-15 17:56

Branch CR23106_3 has been updated forcibly by mkv.

SHA-1: 983c2a8d552804a0d1df69a65ce20d112d8866d9
(0031733)
mkv (tester)
2014-09-15 21:05

Dear oan,
Branch CR23106_3 from occt git-repository and CR23106 from products git-repository was compiled on Linux and Windows platforms.
SHA-1: 983c2a8d552804a0d1df69a65ce20d112d8866d9
SHA-1: a8503126a02381b1985735eac26d90ee6e613b3c

There is compilation error on Linux platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23106_3/job/mnt-CR23106_3-CR23106_build_occt_linux/1/parsed_console/ [^]
../../../../src/IVtkOCC/IVtkOCC_ShapeMesher.cxx:24:37: error: BRepMesh_PDiscretRoot.hxx: No such file or directory
(0031786)
git (administrator)
2014-09-16 18:40

Branch CR23106_3 has been updated by oan.

SHA-1: 0b45172c1eb4555002c8714025f7cdd17fa4d40b


Detailed log of new commits:

Author: oan
Date: Tue Sep 16 18:40:39 2014 +0400

    Fix memory leak regression 'test bugs vis bug79' occurred due to incorrect memory cleaning of inherited objects by MMgtRaw::Free through BRepMesh_IEdgeTool;
    
    Replace BRepMesh_PDiscretRoot by pure pointer to BRepMesh_DiscretRoot;
    Fix IVtkOCC_ShapeMesher.

(0031787)
oan (developer)
2014-09-16 18:44

Dear MKV,

necessary changes have been pushed to branch CR23106_3 in OCCT repo and CR23106 in Products repo.

Please test.
(0031915)
mkv (tester)
2014-09-19 16:37

Dear BugMaster,
Branch CR23106_3 from occt git-repository and CR23106 from products git-repository was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 0b45172c1eb4555002c8714025f7cdd17fa4d40b
SHA-1: 4f6a0e7c9e9a4cf4fca172de4644ecbba546b756

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR23106-3-CR23106-occt/Windows-32-VC10/summary.html [^]
Improvements:
mesh advanced_incmesh(005) A1
mesh advanced_incmesh_parallel(008) A1
mesh advanced_shading(004) A1
mesh standard_incmesh(002) A4, B9, U6
mesh standard_incmesh_parallel(007) A4, B9, U6
mesh standard_mesh(003) A4, U6, W4, A4, B9, U6
Failed:
mesh standard_incmesh(002) B3, C9, E9, V4, W5
mesh standard_incmesh_parallel(007) B3, C9, E9, V4, W5
mesh standard_mesh(003) B3, C7, C9, E9, V4, W5
mesh standard_shading(001) B3, C9, E9, V4, W5

http://occt-tests/CR23106-3-CR23106-products/Windows-32-VC10/omf/advanced_meshfuse/ZD4.html [^]
omf advanced_meshfuse(007) ZD4

Testing cases:
http://occt-tests/CR23106-3-CR23106-occt/Windows-32-VC10/bugs/mesh/bug23106.html [^]
bugs mesh(016) bug23106: OK

Testing on Linux:
occt component :

products component :


Testing on Windows:
occt component :
Total MEMORY difference: 249148568 / 241584384
Total CPU difference: 36291.234375 / 42721.484375
products component :
Total MEMORY difference: 66958732 / 66550372
Total CPU difference: 11770.8125 / 10425.28125

There are no differences in images found by testdiff.
http://occt-tests/CR23106-3-CR23106-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE mesh advanced_incmesh_parallel A5: A5.png differs
IMAGE mesh advanced_mesh A5: A5.png differs
IMAGE mesh advanced_incmesh A5: A5.png differs
IMAGE bugs moddata_1 bug22757: bug22757_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug344: bug344_Driver1_Viewer1_View1.png differs
IMAGE bugs vis buc60858: buc60858_Driver1_Viewer1_View1.png differs
(0031921)
oan (developer)
2014-09-19 17:52
edited on: 2014-09-19 18:36

DC,
Concerning the test report:

Improvements within mesh grid represent real improvements: some faces become triangulated, free nodes and free links notifications dissapeared.

Test mesh standard_mesh C7 - can be treated as an improvement, because number of free links is decreased (from 8 to 2).

Test mesh ... B3 - can also be considered as an improvement due to "free links" notification against "faces without triangulation".

Test mesh ... W5 - improvement, 90 faces without triangulation instead of 91

test mesh ... A5 - shape correctly covered by mesh with specified tolerance, not a regression.

test omf advanced_meshfuse ZD4 - shape "a" contains open wire, BRepMesh unable to produce correct mesh (see screenshot "test omf advanced_meshfuse ZD4.png")

bugs moddata_1 bug22757, bugs vis buc60858 - shapes contains invalid faces to build valid mesh (see screenshot "test bugs vis buc60858.png").

bugs vis bug344 - internal wire of shape processed incorrectly as it was before, not a qulifier.

So, in fact we have only 3 cases raising regressions. However, I treat these ones not as regressions, but as the markers for problems missed during several years. In more detail, each problematic face where triangulation procedure failed is invalid (yes, checkshape says nothing, but shapes are not suitable for building of mesh, see attached screenshots). Before the changes, BRepMesh produced mesh for problematic objects, but it did not reflect the real geometry and it was built somehow or other. However, faces had triangulations and ratio between areas of geometric and tesselated representations were to some extent similar and, therefore, problems were hidden till the nowadays. I think that these problems should be registered as a particular issues in Mantis in furthure.


So, I insist for integration of changes and registering new issues for newly found problems.

(0031926)
oan (developer)
2014-09-19 19:23

New issue 0025249 has been registered for the means expressed above.
(0031927)
abv (manager)
2014-09-19 19:30

We see multiple improvements (both in faces being triangulated where previously failed, and in general look of the mesh which seems to contain less triangles and be more regular), and only four regressions, all on bad shapes.

Thus please consider this issue as tested, and update the affected test cases according to the new state.
(0032180)
abv (manager)
2014-09-26 06:38

PLEASE CONSIDER AS TESTED AND INTEGRATE
(0032384)
git (administrator)
2014-09-30 11:34

Branch CR23106_2 has been deleted by inv.

SHA-1: 0e871b2b890f89efc19a33f641ceb378afaeee02
(0032385)
git (administrator)
2014-09-30 11:34

Branch CR23106_3 has been deleted by inv.

SHA-1: 0b45172c1eb4555002c8714025f7cdd17fa4d40b
(0032817)
git (administrator)
2014-10-08 14:58

Branch CR23106M has been created by azn.

SHA-1: e5ab1597dffba54ef1c789b0a8df3ac9a784a9a8


Detailed log of new commits:

Author: azn
Date: Wed Oct 8 14:57:22 2014 +0400

    0025310: Regressions in visualization
    
    - Memory management in the BRepMesh_FastDiscret class is changed. Now the unused face attributes is immediately removed.
(0032835)
git (administrator)
2014-10-08 18:56

Branch CR23106M has been updated by azn.

SHA-1: 4cbb23d3e166bcb2b83e29ee6bd2e5e9e8f3e697


Detailed log of new commits:

Author: azn
Date: Wed Oct 8 18:54:29 2014 +0400

    0025310: Regressions in visualization
    
    - Memory management in the BRepMesh_FastDiscret class is changed. Now the unused face attributes is immediately removed.

(0033424)
git (administrator)
2014-10-21 16:42

Branch CR23106M has been deleted by inv.

SHA-1: 4cbb23d3e166bcb2b83e29ee6bd2e5e9e8f3e697

- Related Changesets
occt: master ceb418e1
Timestamp: 2014-09-26 12:31:27
Author: oan
Committer: bugmaster
Details ] Diff ]
0023106: BRepMesh_IncrementalMesh returns wrong status

Fix compilation errors on Linux platform

Squeeze compilation warnings on Linux

Fix regressions

Back RemoveFaceAttribute for further reasons

Fix retrieving of polygon by index

Fix applying of location

Test case for issue CR23106

Fix memory leak regression 'test bugs vis bug79' occurred due to incorrect memory cleaning of inherited objects by MMgtRaw::Free through BRepMesh_IEdgeTool;

Replace BRepMesh_PDiscretRoot by pure pointer to BRepMesh_DiscretRoot;

Fix IVtkOCC_ShapeMesher.
mod - adm/UDLIST Diff ] File ]
mod - src/BRepMesh/BRepMesh.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_Collections.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretFactory.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Edge.hxx Diff ] File ]
add - src/BRepMesh/BRepMesh_EdgeParameterProvider.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_EdgeParameterProvider.hxx Diff ] File ]
add - src/BRepMesh/BRepMesh_EdgeTessellationExtractor.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_EdgeTessellationExtractor.hxx Diff ] File ]
add - src/BRepMesh/BRepMesh_EdgeTessellator.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_EdgeTessellator.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceAttribute.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceAttribute.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscret.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscret.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.hxx Diff ] File ]
add - src/BRepMesh/BRepMesh_IEdgeTool.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_IEdgeTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PluginMacro.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Vertex.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireChecker.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireChecker.hxx Diff ] File ]
mod - src/BRepMesh/FILES Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
mod - src/MeshTest/MeshTest.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_DrawableMesh.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_DrawableMesh.hxx Diff ] File ]
mod - src/MeshTest/MeshTest_PluginCommands.cxx Diff ] File ]
add - src/XBRepMesh/FILES Diff ] File ]
rm - src/XBRepMesh/XBRepMesh.cdl Diff ] File ]
mod - src/XBRepMesh/XBRepMesh.cxx Diff ] File ]
add - src/XBRepMesh/XBRepMesh.hxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML_ToVRML.cxx Diff ] File ]
add - tests/bugs/mesh/bug23106 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-04-12 19:22 szy New Issue
2012-04-12 19:22 szy Assigned To => jgv
2012-04-12 19:22 szy File Added: face_0triangles.brep
2012-10-21 11:05 abv Assigned To jgv => ika
2012-10-21 11:05 abv Status new => assigned
2012-10-23 18:41 abv Target Version 6.5.4 => 6.6.0
2012-11-09 09:50 abv Category OCCT:Modeling Algorithms => OCCT:Mesh
2013-03-02 09:52 abv Assigned To ika => oan
2013-04-10 06:56 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:19 abv Target Version 6.7.1 => 6.8.0
2014-04-10 14:46 abv Assigned To oan => azn
2014-06-16 11:18 oan Note Added: 0029778
2014-06-16 11:19 oan Note Edited: 0029778 View Revisions
2014-07-04 10:41 oan Relationship added related to 0025050
2014-07-07 15:58 oan Relationship added parent of 0025045
2014-08-14 21:05 git Note Added: 0030759
2014-08-14 21:07 oan Note Added: 0030760
2014-08-14 21:07 oan Assigned To azn => abv
2014-08-14 21:07 oan Status assigned => resolved
2014-08-15 12:16 oan Relationship added related to 0025096
2014-08-15 16:13 oan Additional Information Updated View Revisions
2014-08-15 16:31 abv Note Added: 0030790
2014-08-15 16:31 abv Assigned To abv => bugmaster
2014-08-15 16:31 abv Status resolved => reviewed
2014-08-15 16:47 oan Relationship added parent of 0025154
2014-08-15 17:43 git Note Added: 0030798
2014-08-15 17:43 apv Assigned To bugmaster => apv
2014-08-18 12:33 oan Note Added: 0030831
2014-08-19 12:13 apv Note Added: 0030873
2014-08-19 12:14 apv Assigned To apv => oan
2014-08-19 12:14 apv Status reviewed => assigned
2014-08-19 12:15 apv Note Edited: 0030873 View Revisions
2014-09-01 11:55 git Note Added: 0031212
2014-09-01 11:56 oan Note Added: 0031213
2014-09-01 11:56 oan Assigned To oan => apv
2014-09-01 11:56 oan Status assigned => resolved
2014-09-01 11:57 oan Status resolved => reviewed
2014-09-01 12:00 oan Assigned To apv => mkv
2014-09-02 09:38 mkv Note Added: 0031256
2014-09-02 09:39 mkv Assigned To mkv => oan
2014-09-02 09:39 mkv Status reviewed => assigned
2014-09-02 17:35 mkv Assigned To oan => mkv
2014-09-02 17:35 mkv Status assigned => resolved
2014-09-02 17:35 mkv Status resolved => reviewed
2014-09-03 13:07 mkv Note Added: 0031304
2014-09-03 13:07 mkv Assigned To mkv => oan
2014-09-03 13:07 mkv Status reviewed => assigned
2014-09-04 19:12 git Note Added: 0031388
2014-09-05 11:56 git Note Added: 0031402
2014-09-05 18:46 git Note Added: 0031430
2014-09-05 19:09 oan Status assigned => resolved
2014-09-05 19:10 oan Note Added: 0031431
2014-09-05 19:10 oan Assigned To oan => mkv
2014-09-05 19:10 oan Status resolved => reviewed
2014-09-09 11:21 git Note Added: 0031504
2014-09-10 16:21 mkv Note Added: 0031582
2014-09-10 17:01 mkv Note Added: 0031587
2014-09-10 17:01 git Note Added: 0031588
2014-09-10 17:02 mkv Test case number => bugs mesh(016) bug23106
2014-09-10 17:02 mkv Assigned To mkv => oan
2014-09-10 17:02 mkv Status reviewed => assigned
2014-09-15 13:53 oan Note Added: 0031700
2014-09-15 13:53 oan Assigned To oan => mkv
2014-09-15 13:53 oan Status assigned => feedback
2014-09-15 17:56 git Note Added: 0031724
2014-09-15 21:05 mkv Note Added: 0031733
2014-09-15 21:05 mkv Assigned To mkv => oan
2014-09-15 21:05 mkv Status feedback => assigned
2014-09-16 18:40 git Note Added: 0031786
2014-09-16 18:44 oan Note Added: 0031787
2014-09-16 18:44 oan Assigned To oan => mkv
2014-09-16 18:44 oan Status assigned => feedback
2014-09-16 20:05 mkv Status feedback => reviewed
2014-09-19 16:37 mkv Note Added: 0031915
2014-09-19 16:38 mkv Assigned To mkv => oan
2014-09-19 16:38 mkv Status reviewed => assigned
2014-09-19 17:52 oan Note Added: 0031921
2014-09-19 17:52 oan Assigned To oan => abv
2014-09-19 17:52 oan Status assigned => feedback
2014-09-19 17:52 oan File Added: test bugs vis buc60858.png
2014-09-19 17:52 oan File Added: test omf advanced_meshfuse ZD4.png
2014-09-19 17:53 oan File Added: test_C9_face_63.png
2014-09-19 17:53 oan File Added: test_E9_face_28.png
2014-09-19 17:53 oan File Added: test_V4_common_case_of_invalid_geometry_Face_19.png
2014-09-19 17:55 oan Note Edited: 0031921 View Revisions
2014-09-19 18:36 oan Note Edited: 0031921 View Revisions
2014-09-19 19:22 oan Relationship added child of 0025249
2014-09-19 19:22 oan Relationship deleted child of 0025249
2014-09-19 19:22 oan Relationship added parent of 0025249
2014-09-19 19:23 oan Note Added: 0031926
2014-09-19 19:27 abv Assigned To abv => mkv
2014-09-19 19:30 abv Note Added: 0031927
2014-09-26 06:38 abv Note Added: 0032180
2014-09-26 06:38 abv Assigned To mkv => bugmaster
2014-09-26 06:38 abv Status feedback => tested
2014-09-29 15:31 bugmaster Changeset attached => occt master ceb418e1
2014-09-29 15:31 bugmaster Status tested => verified
2014-09-29 15:31 bugmaster Resolution open => fixed
2014-09-30 11:34 git Note Added: 0032384
2014-09-30 11:34 git Note Added: 0032385
2014-10-01 14:13 abv Relationship added parent of 0025310
2014-10-01 14:15 bugmaster Relationship added related to 0025293
2014-10-01 14:17 abv Relationship added parent of 0025117
2014-10-03 13:16 bugmaster Relationship added related to 0025320
2014-10-08 12:12 oan Relationship deleted parent of 0025117
2014-10-08 14:58 git Note Added: 0032817
2014-10-08 18:56 git Note Added: 0032835
2014-10-13 09:13 abv Relationship added related to 0025157
2014-10-21 16:42 git Note Added: 0033424
2014-10-22 16:11 kgv Relationship added related to 0025412
2014-11-02 07:30 abv Relationship added parent of 0025364
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker